"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.specifierNameMatches = specifierNameMatches;
function specifierNameMatches(type, name) {
    if (typeof name === 'string') {
        name = [name];
    }
    if (name.some(item => item === type.intrinsicName)) {
        return true;
    }
    const symbol = type.aliasSymbol ?? type.getSymbol();
    if (symbol === undefined) {
        return false;
    }
    return name.some(item => item === symbol.escapedName);
}
//# sourceMappingURL=specifierNameMatches.js.map